Gentoo Archives: gentoo-user

From: tuxic@××××××.de
To: Gentoo <gentoo-user@l.g.o>
Subject: [gentoo-user] emerge -e @world failed
Date: Tue, 05 Dec 2017 00:08:32
Message-Id: 20171205000812.q2p4i5zrm2lvqhws@solfire
HHi,

I did it,

I started emerge -e @world --keep-going.

And it failed while installing linux-gazette:
>>> Emerging (370 of 2114) app-doc/linux-gazette-117::gentoo >>> Installing (360 of 2114) app-doc/linux-gazette-31::gentoo >>> Emerging (371 of 2114) app-doc/linux-gazette-69::gentoo >>> Installing (361 of 2114) app-doc/linux-gazette-74::gentoo >>> Jobs: 341 of 2114 complete, 5 running Load avg: 1.48, 1.61, 1.82
Traceback (most recent call last): File "/usr/lib64/python3.5/site-packages/portage/dbapi/vartree.py", line 740, in aux_get mydir_stat = os.stat(mydir) File "/usr/lib64/python3.5/site-packages/portage/__init__.py", line 250, in __call__ rval = self._func(*wrapped_args, **wrapped_kwargs) FileNotFoundError: [Errno 2] No such file or directory: b'/var/db/pkg/app-doc/linux-gazette-74' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python-exec/python3.5/emerge", line 50, in <module> retval = emerge_main() File "/usr/lib64/python3.5/site-packages/_emerge/main.py", line 1250, in emerge_main return run_action(emerge_config) File "/usr/lib64/python3.5/site-packages/_emerge/actions.py", line 3297, in run_action retval = action_build(emerge_config, spinner=spinner) File "/usr/lib64/python3.5/site-packages/_emerge/actions.py", line 540, in action_build retval = mergetask.merge() File "/usr/lib64/python3.5/site-packages/_emerge/Scheduler.py", line 1039, in merge rval = self._merge() File "/usr/lib64/python3.5/site-packages/_emerge/Scheduler.py", line 1444, in _merge self._main_loop() File "/usr/lib64/python3.5/site-packages/_emerge/Scheduler.py", line 1416, in _main_loop self._event_loop.iteration() File "/usr/lib64/python3.5/site-packages/portage/util/_eventloop/EventLoop.py", line 333, in iteration if not x.callback(f, event, *x.args): File "/usr/lib64/python3.5/site-packages/portage/util/_async/PipeLogger.py", line 92, in _output_handler self.wait() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 57, in wait self._wait_hook() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 175, in _wait_hook self._exit_listener_stack.pop()(self) File "/usr/lib64/python3.5/site-packages/_emerge/SpawnProcess.py", line 173, in _pipe_logger_exit self._async_waitpid() File "/usr/lib64/python3.5/site-packages/_emerge/SubProcess.py", line 113, in _async_waitpid self.pid, self._async_waitpid_cb) File "/usr/lib64/python3.5/site-packages/portage/util/_eventloop/EventLoop.py", line 411, in child_watch_add self._poll_child_processes() File "/usr/lib64/python3.5/site-packages/portage/util/_eventloop/EventLoop.py", line 455, in _poll_child_processes x.callback(x.pid, wait_retval[1], x.data) File "/usr/lib64/python3.5/site-packages/_emerge/SubProcess.py", line 119, in _async_waitpid_cb self.wait() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 57, in wait self._wait_hook() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 175, in _wait_hook self._exit_listener_stack.pop()(self) File "/usr/lib64/python3.5/site-packages/_emerge/EbuildPhase.py", line 300, in _post_phase_exit self.wait() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 57, in wait self._wait_hook() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 175, in _wait_hook self._exit_listener_stack.pop()(self) File "/usr/lib64/python3.5/site-packages/_emerge/TaskSequence.py", line 52, in _task_exit_handler self.wait() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 57, in wait self._wait_hook() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 175, in _wait_hook self._exit_listener_stack.pop()(self) File "/usr/lib64/python3.5/site-packages/_emerge/CompositeTask.py", line 134, in _default_final_exit return self.wait() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 57, in wait self._wait_hook() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 175, in _wait_hook self._exit_listener_stack.pop()(self) File "/usr/lib64/python3.5/site-packages/_emerge/EbuildBuild.py", line 315, in _build_exit self.wait() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 57, in wait self._wait_hook() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 175, in _wait_hook self._exit_listener_stack.pop()(self) File "/usr/lib64/python3.5/site-packages/_emerge/CompositeTask.py", line 134, in _default_final_exit return self.wait() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 57, in wait self._wait_hook() File "/usr/lib64/python3.5/site-packages/_emerge/AsynchronousTask.py", line 175, in _wait_hook self._exit_listener_stack.pop()(self) File "/usr/lib64/python3.5/site-packages/_emerge/Scheduler.py", line 1385, in _build_exit self._schedule() File "/usr/lib64/python3.5/site-packages/_emerge/PollScheduler.py", line 154, in _schedule self._schedule_tasks() File "/usr/lib64/python3.5/site-packages/_emerge/Scheduler.py", line 1612, in _schedule_tasks if self._schedule_tasks_imp(): File "/usr/lib64/python3.5/site-packages/_emerge/Scheduler.py", line 1720, in _schedule_tasks_imp task = self._task(pkg) File "/usr/lib64/python3.5/site-packages/_emerge/Scheduler.py", line 1751, in _task previous_cpv = [x for x in vardb.match(pkg.slot_atom) \ File "/usr/lib64/python3.5/site-packages/portage/dbapi/vartree.py", line 600, in match self.cp_list(mydep.cp, use_cache=use_cache))) File "/usr/lib64/python3.5/site-packages/portage/dbapi/vartree.py", line 467, in cp_list self.aux_get(cpv, self._aux_cache_keys))) File "/usr/lib64/python3.5/site-packages/portage/dbapi/vartree.py", line 744, in aux_get raise KeyError(mycpv) KeyError: 'app-doc/linux-gazette-74' [1] 5013 exit 1 emerge -e @world --keep-going y solfire:/home/mccramer> eix tells me, that linux-gazette-74 exists. Looks like emerge kills itsself. And a killed application the ability to handle '--keep-going' is more limited. Only zombie processes are able to do that ... ;) I emerge --resume this for now. Fingers crossed. What had happend here? Cheers Meino

Replies

Subject Author
Re: [gentoo-user] emerge -e @world failed Andrew Savchenko <bircoph@g.o>